oRTP 0.25.0

- Main Page
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
_RtpTransportModifier Struct Reference

## Data Fields
void * | data
struct _RtpSession * | session
int(* | t_process_on_send )(struct _RtpTransportModifier *t, mblk_t *msg)
int(* | t_process_on_receive )(struct _RtpTransportModifier *t, mblk_t *msg)
void(* | t_process_on_schedule )(struct _RtpTransportModifier *t)
void(* | t_destroy )(struct _RtpTransportModifier *transport)

## Field Documentation

void(* _RtpTransportModifier::t_destroy) (struct _RtpTransportModifier *transport)

Mandatory callback responsible of freeing the #RtpTransportModifierAND the pointer.

Parameters

  [in] | transport | #RtpTransportModifier object to free.

The documentation for this struct was generated from the following file:

- include/ortp/rtpsession.h